.spinner {

     animation-name: fancy-spin;
     animation-duration:  2000ms;
    animation-iteration-count: infinite;       
    width:70px;
    height:50px;
 }

@keyframes fancy-spin {
    10% {transform: rotate(0turn) scale(1);}
    25% {transform: rotate(1turn) scale(1);}
    50% {transform: rotate(1turn) scale(2);}
    75% {transform: rotate(0turn) scale(0.5);}
    100% {transform: rotate(0turn) scale(1);}
 }